Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.taglib.logic
Class PresentTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.apache.struts.taglib.logic.ConditionalTagBase
              org.apache.struts.taglib.logic.PresentTag

All Implemented Interfaces:
  Serializable, IterationTag, Tag

Direct Known Subclasses:
  ELPresentTag, NestedPresentTag, NotPresentTag

    public class PresentTag

extends ConditionalTagBase

Evalute the nested body content of this tag if the specified value is present for this request.

Version:
  $Rev: 471754 $ $Date: 2004-10-16 12:38:42 -0400 (Sat, 16 Oct 2004) $
See Also:
  Serialized Form

Field Summary
`static String` | `ROLE_DELIMITER`

Fields inherited from class org.apache.struts.taglib.logic.ConditionalTagBase
`cookie, header, messages, name, parameter, property, role, scope, user`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`PresentTag()`

Method Summary
`protected boolean` | `condition()` Evaluate the condition that is being tested by this particular tag, and return `true` if the nested body content of this tag should be evaluated, or `false` if it should be skipped.
`protected boolean` | `condition(boolean desired)` Evaluate the condition that is being tested by this particular tag, and return `true` if the nested body content of this tag should be evaluated, or `false` if it should be skipped.
`protected boolean` | `isBeanPresent()` Returns true if the bean given in the `name` attribute is found.
`protected boolean` | `isCookiePresent(HttpServletRequest request)` Returns true if the cookie is present in the request.

Methods inherited from class org.apache.struts.taglib.logic.ConditionalTagBase
`doEndTag, doStartTag, getCookie, getHeader, getName, getParameter, getProperty, getRole, getScope, getUser, release, setCookie, setHeader, setName, setParameter, setProperty, setRole, setScope, setUser`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ROLE_DELIMITER

    public static final String ROLE_DELIMITER

See Also:
  Constant Field Values

Constructor Detail

### PresentTag

    public PresentTag()

Method Detail

### condition

    protected boolean condition()
                         throws JspException

  Evaluate the condition that is being tested by this particular tag, and return `true` if the nested body content of this tag should be evaluated, or `false` if it should be skipped. This method must be implemented by concrete subclasses.

  Specified by:
    `condition` in class `ConditionalTagBase`
  Throws:
    `JspException` - if a JSP exception occurs

### condition

    protected boolean condition(boolean desired)
                         throws JspException

  Evaluate the condition that is being tested by this particular tag, and return `true` if the nested body content of this tag should be evaluated, or `false` if it should be skipped. This method must be implemented by concrete subclasses.

  Parameters:
    `desired` - Desired outcome for a true result
  Throws:
    `JspException` - if a JSP exception occurs

### isBeanPresent

    protected boolean isBeanPresent()

  Returns true if the bean given in the `name` attribute is found.

  Since:
    Struts 1.2

### isCookiePresent

    protected boolean isCookiePresent(HttpServletRequest request)

  Returns true if the cookie is present in the request.

  Since:
    Struts 1.2

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.